Docs
Add File Format
POST /Drives/{driveId}/files/{fileId}/versions/{versionId}/formats
POST
/Drives/{driveId}/files/{fileId}/versions/{versionId}/formatsAdds another format of the same content to an existing version, for example the same document as PDF, Word and image, and returns a time-limited sasUri; upload the binary there with an HTTP PUT.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| driveId | uuid | Required | |
| fileId | uuid | Required | |
| versionId | uuid | Required |
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| fileFormat | string | Optional | |
| fileSize | integer | Optional |
Response
| Field | Type | Description |
|---|---|---|
| sasUri | uri| null |